VelocityReport Plugin - Defect #386

java.lang.RuntimeException: Class net.stuff.servoy.util.js.jqueryheadercontributor couldn’t be
loaded through the bean/plugin classloader
Description

| just noticed an error in the servoy server admin log that's probably related to the Velocity plugin?
I'm not sure yet what is triggering this error (trying to reproduce right now) but maybe this trace might already shed some light.
Thanks.

2011-10-19 17:29 http-8080-7 ERROR org.apache.wicket.request.target.resource.SharedResourceRequestTarget unable to
lazily register shared resource net.stuff.servoy.util.js.jqueryheadercontributor/jquery-1.3.2.min.js
java.lang.RuntimeException: Class net.stuff.servoy.util.js.jqueryheadercontributor couldn't be loaded through the bean/plugin
classloader

at com.servoy.j2db.server.headlessclient.ServoyClassResolver.resolveClass(ServoyClassResolver.java:49)

at org.apache.wicket.request.target.resource.SharedResourceRequestTarget.respond(SharedResourceRequestTarget.java:151)
at org.apache.wicket.request.AbstractRequestCycleProcessor.respond(AbstractRequestCycleProcessor.java:105)
at org.apache.wicket.RequestCycle.processEventsAndRespond(RequestCycle.java:1258)

at org.apache.wicket.RequestCycle.step(RequestCycle.java:1329)

at org.apache.wicket.RequestCycle.steps(RequestCycle.java:1436)

at org.apache.wicket.RequestCycle.request(RequestCycle.java:545)

at org.apache.wicket.protocol.http.WicketFilter.doGet(WicketFilter.java:486)

at com.servoy.j2db.server.servlets.Zl.doGet(Zl.java:11)

at org.apache.wicket.protocol.http.WicketServlet.doGet(WicketServlet.java:138)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:617)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)

at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)

at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:128)

at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)

at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:567)

at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)

at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:293)

at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:849)

at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:583)

at org.apache.tomcat.util.net.JloEndpoint$Worker.run(JIoEndpoint.java:454)

at java.lang.Thread.run(Thread.java:680)

Caused by: java.lang.ClassNotFoundException: net.stuff.servoy.util.js.jqueryheadercontributor

at java.net.URLClassLoader$1.run(URLClassLoader.java:202)

at java.security.AccessController.doPrivileged(Native Method)

at java.net.URLClasslLoader.findClass(URLClassLoader.java:190)

at java.lang.ClassLoader.loadClass(ClassLoader.java:306)

at java.lang.ClassLoader.loadClass(ClassLoader.java:247)

at com.servoy.j2db.server.headlessclient.ServoyClassResolver.resolveClass(ServoyClassResolver.java:45)

... 24 more

History

#1 - 10/19/2011 06:34 PM - Patrick Talbot

- Status changed from New to Closed

No, this has nothing to do with VelocityReport, this comes from the busy plugin.
Why it doesn't find a resource which is there is not obvious though.

Please open a report on the Busy plugin issue tracker and give me more info:
- Servoy version?

- Plugin version?

- OS? Version?

- Java version?

- Smart or Web client?

- If web client, what browser?

What/when is this happening exactly? Can you tell? Can you do a sample solution to reproduce the issue?

#2 - 10/19/2011 08:08 PM - Maarten Berkenbosch

Ah, think | found it. Stupid browser IE7 privacy setttings are blocking port 8080 by default. Which basically screws up everything.
I'm showing a servoy form in an iFrame on a web site. Servoy server is running on 8080. :-(
| guess | need to reinstall servoy server as root (OSX server / unix) in order to get stuff running on port 80 ?

Thanks anyway for your fast reply as always ;-)
Maarten.
